%define upstream_name    PPIx-Utils
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Utility functions for classification of PPI
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Keywords) >= 1.90.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(PPI) >= 1.250.0
BuildRequires: perl(PPI::Dumper)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
'PPIx::Utils' is a collection of utility functions for working with the PPI
manpage documents. The functions are organized into submodules, and may be
imported from the appropriate submodule or via this module.

These functions were originally from the Perl::Critic::Utils manpage and
related modules, and have been split off to this distribution for use
outside of the Perl::Critic manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu May 08 2025 tv <tv> 0.4.0-1.mga10
+ Revision: 2181970
- update to 0.004

* Wed Mar 23 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1820639
- Mageia 9 Mass Rebuild

* Sun Apr 25 2021 tv <tv> 0.3.0-1.mga9
+ Revision: 1719455
- imported package perl-PPIx-Utils

